package com.persagy.apm.alarmservice.dependency.eqdiagnose.client.fallback;

import com.persagy.apm.alarmservice.dependency.eqdiagnose.client.EqDiagnoseClient;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * feign fallback处理
 *
 * @author lixing
 * @version V1.0 2021/5/19 2:21 下午
 */
@Component
public class EqDiagnoseClientFallbackFactory implements FallbackFactory<EqDiagnoseClient> {
    @Override
    public EqDiagnoseClient create(Throwable throwable) {
        System.out.println("fall back");
        return null;
    }
}
