package com.persagy.apm.alarmservice.dependency.eqdiagnose.model;

import com.persagy.apm.common.model.dto.FeignBaseDTO;
import com.persagy.apm.common.model.dto.PoemsFeignBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-10 00:13:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "查询监测指标历史记录入参")
public class QueryMonitorIndicatorRecordDTO extends FeignBaseDTO {
    @ApiModelProperty(value = "对象id", required = true)
    private String objId;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;

    @ApiModelProperty(value = "开始时间", required = true)
    private Long timeFrom;

    @ApiModelProperty(value = "结束时间", required = true)
    private Long timeTo;

    public QueryMonitorIndicatorRecordDTO() {
        super.setDefaultValue();
    }
}
