package com.persagy.apm.alarmservice.dependency.rwd.client.fallback;

import com.persagy.apm.alarmservice.dependency.rwd.client.DmpRwdClient;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * feign fallback处理
 *
 * @author lixing
 * @version V1.0 2021/5/19 2:21 下午
 */
@Component
public class DmpRwdClientFallbackFactory implements FallbackFactory<DmpRwdClient> {
    @Override
    public DmpRwdClient create(Throwable throwable) {
        System.out.println("fall back");
        return null;
    }
}
