package com.persagy.apm.alarmservice.group.alarmrecord.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 报警记录转工单DTO
 *
 * @author lixing
 * @version V1.0 2021/9/11 2:31 下午
 **/
@Data
@ApiModel
public class AlarmRecordConvertWorkOrderDTO {
    @ApiModelProperty(value = "报警记录id")
    private List<String> ids;

    @ApiModelProperty(value = "工单id")
    private String orderId;

    @ApiModelProperty(value = "工单状态")
    private String orderState;
}
