package com.persagy.apm.alarmservice.group.alarmrecord.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 创建报警批注DTO
 *
 * @author lixing
 * @version V1.0 2021/9/11 2:31 下午
 **/
@Data
@ApiModel
public class CreateAlarmCommentDTO {
    @NotBlank(message = "请输入报警记录的id")
    @ApiModelProperty(value = "报警记录id")
    private String alarmRecordId;
    @NotBlank(message = "请输入批注内容")
    @ApiModelProperty(value = "内容")
    private String content;
}
