package com.persagy.apm.alarmservice.group.alarmrecord.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 下载报警DTO
 *
 * @author lixing
 * @version V1.0 2021/9/11 2:31 下午
 **/
@Data
@ApiModel
public class DownloadAlarmRecordDTO {
    @ApiModelProperty(value = "报警记录id", required = true)
    private List<String> ids;

    @ApiModelProperty(value = "列表类型", required = true,
            notes = "com.persagy.apm.alarmservice.group.alarmrecord.enums.EnumAlarmListType")
    private String listType;
}
