package com.persagy.apm.alarmservice.group.alarmrecord.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 查询报警记录DTO
 *
 * @author lixing
 * @version V1.0 2021/9/11 2:31 下午
 **/
@Data
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmRecordIdsItem {
    @ApiModelProperty(value = "报警记录id")
    private List<String> ids;
}
