package com.persagy.apm.alarmservice.group.alarmrule.dao;

import com.persagy.apm.alarmservice.group.alarmrule.model.GroupAlarmRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.apm.alarmservice.group.alarmrule.model.dto.PageQueryGroupAlarmRuleDTO;
import com.persagy.apm.alarmservice.group.alarmrule.model.vo.GroupAlarmRuleListItemVO;
import org.apache.ibatis.annotations.Mapper;

import javax.validation.Valid;
import java.util.List;

/**
 * 集团报警规则(GroupAlarmRule)dao层
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@Mapper
public interface GroupAlarmRuleMapper extends BaseMapper<GroupAlarmRule>{

    List<GroupAlarmRuleListItemVO> queryList(@Valid PageQueryGroupAlarmRuleDTO pageQueryGroupAlarmRuleDTO);

    int queryCount(PageQueryGroupAlarmRuleDTO pageQueryGroupAlarmRuleDTO);
}
