package com.persagy.apm.alarmservice.group.alarmrule.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询集团报警规则入参")
public class PageQueryGroupAlarmRuleDTO extends PageDTO {
//    @ApiModelProperty(value = "主键", required = true)
//    private String id;
    
    @ApiModelProperty(value = "分组id", required = true)
    private String groupId;
    
//    @ApiModelProperty(value = "报警条目编码", required = true)
//    private String alarmItemCode;

    @ApiModelProperty(value = "报警类型名称", required = true)
    private String alarmItemName;
    
//    @ApiModelProperty(value = "报警条件id", required = true)
//    private String alarmConditionId;
    
}
