package com.persagy.apm.alarmservice.group.management.model.group.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/8 11:32
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "分组树")
@Data
public class GroupTreeVO extends GroupInfoVO {
    @ApiModelProperty("子节点信息")
    private List<GroupTreeVO> children;
}
