package com.persagy.apm.alarmservice.group.monitorindicator.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:44:37
 */
@Data
@ApiModel(value = "更新监测指标入参")
public class UpdateMonitorIndicatorDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;
    
    @ApiModelProperty(value = "指标名称", required = true)
    @NotNull(message = "指标名称不能为空") // todo 更新校验规则
    private String name;
    
    @ApiModelProperty(value = "设备类", required = true)
    @NotNull(message = "设备类不能为空") // todo 更新校验规则
    private String classCode;

    @ApiModelProperty("单位")
    private String unit;
}
