package com.persagy.apm.alarmservice.group.objgroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-10-19 14:25:45
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询报警对象分组入参")
public class PageQueryObjGroupDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;
    
    @ApiModelProperty(value = "分组名称", required = true)
    private String name;
    
    @ApiModelProperty(value = "设备类型", required = true)
    private String classCode;
    
    @ApiModelProperty(value = "分组条件", required = true)
    private String condition;
    
    @ApiModelProperty(value = "父节点id", required = true)
    private String parentid;
    
}
