package com.persagy.apm.alarmservice.group.objgroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-10-19 14:25:45
 */
@Data
@ApiModel(value = "更新报警对象分组入参")
public class UpdateObjGroupDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;
    
    @ApiModelProperty(value = "分组名称", required = true)
    @NotNull(message = "分组名称不能为空") // todo 更新校验规则
    private String name;
    
    @ApiModelProperty(value = "设备类型", required = true)
    @NotNull(message = "设备类型不能为空") // todo 更新校验规则
    private String classCode;
    
    @ApiModelProperty(value = "分组条件", required = true)
    @NotNull(message = "分组条件不能为空") // todo 更新校验规则
    private String condition;
    
    @ApiModelProperty(value = "父节点id", required = true)
    @NotNull(message = "父节点id不能为空") // todo 更新校验规则
    private String parentid;
    
}
