package com.persagy.apm.alarmservice.project.alarmcondition.model.dto;

import com.persagy.apm.alarmservice.group.calculatemethod.model.dto.CalculateMethodDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
@ApiModel(value = "报警条件合法性校验入参")
public class ValidateAlarmConditionDTO {
    @ApiModelProperty(value = "报警条件", required = true)
    @NotNull(message = "报警条件不能为空") // todo 更新校验规则
    private CalculateMethodDTO frontend;
    
}
