package com.persagy.apm.alarmservice.project.alarmcondition.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.common.model.vo.SimpleObjVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 报警条件纯文字展示
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
@ApiModel()
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmConditionStrItem {
    @ApiModelProperty("报警规则")
    private List<String> rules;
    @ApiModelProperty("报警持续时长信息")
    private String lastTimeInfo;
    @ApiModelProperty("报警等级")
    private SimpleObjVO alarmLevel;
}
