package com.persagy.apm.alarmservice.project.alarmrule.dao;

import com.persagy.apm.alarmservice.project.alarmrule.model.ProjectAlarmRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.apm.alarmservice.project.alarmrule.model.dto.PageQueryProjectAlarmRuleDTO;
import com.persagy.apm.alarmservice.project.alarmrule.model.vo.ProjectAlarmRuleListItemVO;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.vo.ProjectVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 项目报警规则(ProjectAlarmRule)dao层
 * @author lixing
 * @version V1.0 2021-09-08 22:46:16
 */
@Mapper
public interface ProjectAlarmRuleMapper extends BaseMapper<ProjectAlarmRule>{

    int queryCount(PageQueryProjectAlarmRuleDTO pageQueryProjectAlarmRuleDTO);

    List<ProjectAlarmRuleListItemVO> queryList(PageQueryProjectAlarmRuleDTO pageQueryProjectAlarmRuleDTO);

    List<ProjectVO> getProject();

    void insertProject(String substring);
}
