package com.persagy.apm.alarmservice.project.alarmrule.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:16
 */
@Data
@ApiModel(value = "项目报警规则返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProjectAlarmRuleItemVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("分组id")
    private String groupId;
    
    @ApiModelProperty("报警条目编码")
    private String alarmItemCode;
    
    @ApiModelProperty("报警条件id")
    private String alarmConditionId;
    
    @ApiModelProperty("所属类型（0项目自定义、1集团标准）")
    private Integer belong;
    
    @ApiModelProperty("项目id")
    private String projectId;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
