package com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Data
@ApiModel(value = "创建项目报警规则与监测对象的关联入参")
public class AddProjectRelDTO {
    @ApiModelProperty(value = "设备ID", required = true)
    @NotNull(message = "设备ID不能为空") // todo 更新校验规则
    private String objId;

    @ApiModelProperty(value = "设备名称", required = true)
    @NotNull(message = "设备名称不能为空") // todo 更新校验规则
    private String objName;
}
