package com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Data
@ApiModel(value = "更新项目报警规则与监测对象的关联入参")
public class UpdateAlarmItemDTO {

    @ApiModelProperty("设备ID")
    private String objId;

    @ApiModelProperty("设备名称")
    private String objName;

    @ApiModelProperty("屏蔽状态 1-open、0- 屏蔽")
    private Integer open;
    
}
