package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@Data
@ApiModel(value = "查询项目监测指标配置入参")
public class QueryProjectMonitorIndicatorConfigDTO {
    @ApiModelProperty(value = "监测对象id", required = true)
    private String objId;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "计算方式id", required = true)
    private String calculateMethodId;
    
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;
    
}
