package com.persagy.apm.alarmservice.group.alarmrecord.model;

import com.persagy.apm.alarmservice.group.alarmrecord.model.vo.AlarmCommentListItem;
import com.persagy.apm.energyalarmstarter.alarmdata.model.vo.AlarmCommentItem;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;

/**
 * 报警记录(AlarmRecord) dto、vo、do转换工具类
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertAlarmCommentTool {
    ConvertAlarmCommentTool INSTANCE = Mappers.getMapper(ConvertAlarmCommentTool.class);

    AlarmCommentListItem convert2AlarmCommentListItem(AlarmCommentItem alarmCommentItem);
}
