package com.persagy.apm.alarmservice.group.alarmrule.model.dto;

import com.persagy.apm.alarmservice.project.alarmcondition.model.dto.AddAlarmConditionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@Data
@ApiModel(value = "查询报警规则入参")
public class GetGroupAlarmRuleDTO {
    @ApiModelProperty(value = "分组id", required = true)
    @NotNull(message = "分组id不能为空") // todo 更新校验规则
    private String groupId;
    
    @ApiModelProperty(value = "报警类型编码", required = true)
    @NotNull(message = "报警类型编码不能为空") // todo 更新校验规则
    private String alarmItemCode;
    
}
