package com.persagy.apm.alarmservice.group.alarmrule.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@Data
@ApiModel(value = "集团报警规则返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GroupAlarmRuleItemVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("分组id")
    private String groupId;
    
    @ApiModelProperty("报警条目编码")
    private String alarmItemCode;
    
    @ApiModelProperty("报警条件id")
    private String alarmConditionId;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
