package com.persagy.apm.alarmservice.group.calculatemethod.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:43:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询计算方式入参")
public class PageQueryCalculateMethodDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;
    
    @ApiModelProperty(value = "计算方式名称", required = true)
    private String name;
    
    @ApiModelProperty(value = "公式", required = true)
    private String formula;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "是否是指标默认计算方式", required = true)
    private Integer isDefault;
    
}
