package com.persagy.apm.alarmservice.group.calculatemethod.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:43:58
 */
@Data
@ApiModel(value = "计算方式列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CalculateMethodListItemVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("计算方式名称")
    private String name;
    
    @ApiModelProperty("公式")
    private String formula;
    
    @ApiModelProperty("监测指标id")
    private String monitorIndicatorId;
    
    @ApiModelProperty("是否是指标默认计算方式")
    private Integer isDefault;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
