package com.persagy.apm.alarmservice.group.monitorindicator.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:44:37
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询监测指标入参")
public class PageQueryMonitorIndicatorDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;
    
    @ApiModelProperty(value = "指标名称", required = true)
    private String name;
    
    @ApiModelProperty(value = "设备类", required = true)
    private String classCode;
    
}
