package com.persagy.apm.alarmservice.group.monitorindicator.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:44:37
 */
@Data
@ApiModel(value = "查询监测指标入参")
public class QueryMonitorIndicatorDTO {
    @ApiModelProperty(value = "监测指标id列表")
    private List<String> ids;

    @ApiModelProperty(value = "指标名称")
    private String name;
    
    @ApiModelProperty(value = "设备类")
    private String classCode;
}
