package com.persagy.apm.alarmservice.group.monitorindicator.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.common.model.vo.GraphItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 监测指标公式
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:44:38
 */
@Data
@ApiModel()
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorFormulaItem {
    @ApiModelProperty(value = "操作符")
    private String operator;
    @ApiModelProperty(value = "公式")
    private String formula;
}
