package com.persagy.apm.alarmservice.group.monitorindicator.model.vo;

import com.persagy.apm.common.model.vo.EnumVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:44:38
 */
@Data
@ApiModel(value = "监测指标返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorItemVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("指标名称")
    private String name;
    
    @ApiModelProperty("设备类")
    private String classCode;

    @ApiModelProperty("单位")
    private String unit;

    @ApiModelProperty("可选值")
    private EnumVO[] dic;
    
}
