package com.persagy.apm.alarmservice.group.objgroup.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-10-19 14:25:45
 */
@Data
@ApiModel(value = "报警对象分组返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ObjGroupItemVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("分组名称")
    private String name;
    
    @ApiModelProperty("设备类型")
    private String classCode;
    
    @ApiModelProperty("分组条件")
    private String condition;
    
    @ApiModelProperty("父节点id")
    private String parentid;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
