package com.persagy.apm.alarmservice.project.alarmcondition.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.persagy.apm.common.model.entity.AuditableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 报警条件(AlarmCondition)实体类
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
public class Formula implements Serializable {
    private static final long serialVersionUID = 268657175929005281L;

    private String key;
    private String label;
    private String value;

}
