package com.persagy.apm.alarmservice.project.alarmcondition.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
@ApiModel(value = "根据设备id查询报警条件入参")
public class QueryAlarmConditionByObjDTO {
    @ApiModelProperty(value = "设备id", required = true)
    @NotBlank(message = "设备id不能为空")
    private String objId;

    @ApiModelProperty(value = "报警类型编码", required = true)
    @NotBlank(message = "报警类型编码不能为空")
    private String itemCode;
}
