package com.persagy.apm.alarmservice.project.alarmcondition.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
@ApiModel(value = "根据项目查询报警条件入参")
public class QueryAlarmConditionByProjectDTO {

    @ApiModelProperty(value = "项目id", required = true)
    @NotBlank(message = "项目id不能为空")
    private String projectId;
    
}
