package com.persagy.apm.alarmservice.project.alarmcondition.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
@ApiModel(value = "查询报警条件入参")
public class QueryAlarmConditionDTO {
    @ApiModelProperty(value = "包含的参数", required = true)
    private Object infoCodes;
    
    @ApiModelProperty(value = "前端展示", required = true)
    private Object frontend;
    
    @ApiModelProperty(value = "后端使用", required = true)
    private Object backend;
    
    @ApiModelProperty(value = "触发时长", required = true)
    private Integer triggerUphold;
    
    @ApiModelProperty(value = "报警等级", required = true)
    private String alarmLevel;

    @ApiModelProperty(value = "报警条件id数组")
    private List<String> ids;
}
