package com.persagy.apm.alarmservice.project.alarmrule.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:16
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询项目报警规则入参")
public class PageQueryProjectAlarmRuleDTO extends PageDTO {
//    @ApiModelProperty(value = "主键", required = true)
//    private String id;
    
    @ApiModelProperty(value = "分组id", required = true)
    private String groupId;
    
    @ApiModelProperty(value = "报警类型编码", required = true)
    private String alarmItemCode;

    @ApiModelProperty(value = "报警对象名称", required = true)
    private String equipName;
    
//    @ApiModelProperty(value = "报警条件id", required = true)
//    private String alarmConditionId;
    
//    @ApiModelProperty(value = "所属类型（0项目自定义、1集团标准）", required = true)
//    private Integer belong;
    
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;
    
}
