package com.persagy.apm.alarmservice.project.alarmrule.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.alarmservice.project.alarmcondition.model.vo.AlarmConditionListItemVO;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.ProjectAlarmRuleObjRel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:16
 */
@Data
@ApiModel(value = "项目报警规则列表返回结果参数(含关联的设备id和包含的监测指标)")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProjectAlarmRuleWithObjsAndInfoCodes {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("报警条目编码")
    private String alarmItemCode;

    @ApiModelProperty("包含的监测指标")
    private List<String> infoCodes;

    @ApiModelProperty("项目id")
    private String projectId;
    
    @ApiModelProperty("关联的报警对象")
    private List<String> objIds;
}
