package com.persagy.apm.alarmservice.project.alarmruleobjrel.dao;

import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.ProjectAlarmRuleObjRel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto.QueryObjConditionRelDTO;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto.ShieldManageDTO;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.vo.ObjConditionRel;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 项目报警规则与监测对象的关联(ProjectAlarmRuleObjRel)dao层
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Mapper
public interface ProjectAlarmRuleObjRelMapper extends BaseMapper<ProjectAlarmRuleObjRel>{

    void updateStatus(@Param("shieldManageDTOList") List<ShieldManageDTO> shieldManageDTOList, @Param("projectAlarmRuleId") String projectAlarmRuleId, @Param("projectId") String projectId);

    void deleteByProjectAlarmRuleId(String id);

    List<ObjConditionRel> queryObjAlarmConditionRel(String projectId);
}
