package com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Data
@ApiModel(value = "查询项目报警规则与监测对象的关联入参")
public class QueryProjectAlarmRuleObjRelDTO {
    @ApiModelProperty(value = "项目报警规则id", required = true)
    private String projectAlarmRuleId;
    
    @ApiModelProperty(value = "设备ID", required = true)
    private String equipId;
    
    @ApiModelProperty(value = "屏蔽状态 1-open、0- 屏蔽", required = true)
    private Integer open;
    
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;
    
}
