package com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Data
@ApiModel(value = "创建项目报警规则与监测对象的关联入参")
public class ShieldManageDTO {
    @ApiModelProperty(value = "设备ID", required = true)
    @NotNull(message = "设备ID不能为空") // todo 更新校验规则
    private String objId;
    
    @ApiModelProperty(value = "屏蔽状态 1-open、0- 屏蔽", required = true)
    @NotNull(message = "屏蔽状态 1-open、0- 屏蔽不能为空") // todo 更新校验规则
    private Integer open;
    


    public static String PROP_PROJECT_ALARM_RULE_ID = "project_alarm_rule_id";
    public static String PROP_PROJECT_ID = "project_id";
}
