package com.persagy.apm.alarmservice.project.alarmruleobjrel.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Data
@ApiModel(value = "项目报警规则与监测对象的关联返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProjectAlarmRuleObjRelVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("项目报警规则id")
    private String projectAlarmRuleId;
    
    @ApiModelProperty("设备ID")
    private String objId;

    @ApiModelProperty("设备名称")
    private String objName;
    
    @ApiModelProperty("屏蔽状态 1-open、0- 屏蔽")
    private Integer open;
    
    @ApiModelProperty("项目id")
    private String projectId;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
