package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@Data
@ApiModel(value = "创建项目监测指标配置入参")
public class AddProjectMonitorIndicatorConfigDTO {
    @ApiModelProperty(value = "监测对象id", required = true)
    @NotNull(message = "监测对象id不能为空") // todo 更新校验规则
    private String objId;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    @NotNull(message = "监测指标id不能为空") // todo 更新校验规则
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "计算方式id", required = true)
    @NotNull(message = "计算方式id不能为空") // todo 更新校验规则
    private String calculateMethodId;
    
    @ApiModelProperty(value = "项目id", required = true)
    @NotNull(message = "项目id不能为空") // todo 更新校验规则
    private String projectId;
    
}
