package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@Data
@ApiModel(value = "获取项目监测指标配置详情入参")
public class QueryProjectMonitorIndicatorConfigDetailDTO {
    @NotNull(message = "监测对象id不能为空")
    @ApiModelProperty(value = "监测对象id", required = true)
    private String objId;

    @NotNull(message = "监测指标id不能为空")
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;
}
