package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.vo;

import com.persagy.apm.common.model.vo.SimpleObjVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@Data
@ApiModel(value = "项目监测指标配置返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProjectMonitorIndicatorConfigItemVO {
    @ApiModelProperty("监测对象")
    private SimpleObjVO obj;
    
    @ApiModelProperty("监测指标")
    private SimpleObjVO monitorIndicator;
    
    @ApiModelProperty("计算方式")
    private SimpleObjVO calculateMethod;
    
    @ApiModelProperty("项目id")
    private String projectId;
}
